/* ---------------------------------------------------
                    MAIN
----------------------------------------------------*/

.ce-block__content {
    position: relative;
    max-width: 900px;
    margin: 0 auto;
}

.ce-paragraph {
    line-height: 1.6em;
    outline: none;
}

.ce-header {
    padding: 1em 0;
    margin: 0;
    margin-bottom: -0.9em;
    line-height: 1.5em;
    outline: none;
}

.cdx-block {
    padding: .4em 0;
}

.tc-editor {
    left: 0;
}

/* ---------------------------------------------------
                    TABLE
----------------------------------------------------*/

.tc-table {
    width: 100%;
    height: 100%;
    border-collapse: collapse;
    table-layout: fixed;
}

.tc-table__wrap {
    border: 1px solid #DBDBE2;
    border-radius: 3px;
    position: relative;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
}

.tc-table__cell {
    border: 1px solid #DBDBE2;
    padding: 0;
    vertical-align: top;
}

.tc-table__area {
    padding: 10px;
    height: 100%;
}

.tc-table__inp {
    outline: none;
    flex-grow: 100;
    min-height: 1.5em;
    height: 100%;
    overflow: hidden;
}

.tc-table tbody tr:first-child td {
    border-top: none;
}

.tc-table tbody tr:last-child td {
    border-bottom: none;
}

.tc-table tbody tr td:last-child {
    border-right: none;
}

.tc-table tbody tr td:first-child {
    border-left: none;
}


/* ---------------------------------------------------
                    DELIMITER
----------------------------------------------------*/

.ce-delimiter {
    line-height: 1.6em;
    width: 100%;
    text-align: center;
}

.ce-delimiter:before {
    display: inline-block;
    content: "***";
    font-size: 30px;
    line-height: 65px;
    height: 30px;
    letter-spacing: 0.2em;
}

/* ---------------------------------------------------
                    CHECKLIST
----------------------------------------------------*/

.cdx-checklist__item {
    display: flex;
    padding: 0 10px;
    box-sizing: content-box;
}

.cdx-checklist__item-text {
    outline: none;
    flex-grow: 1;
    padding: 10px 0;
}

.cdx-checklist__item-checkbox {
    display: inline-block;
    flex-shrink: 0;
    position: relative;
    width: 20px;
    height: 20px;
    margin: 10px 10px 10px 0;
    border-radius: 50%;
    border: 1px solid #d0d0d0;
    background: #fff;
    cursor: initial !important;
    user-select: none;
}

.cdx-checklist__item-checkbox:hover {
    border-color: #b5b5b5;
}

.cdx-checklist__item-checkbox::after {
    position: absolute;
    top: 5px;
    left: 5px;
    width: 8px;
    height: 5px;
    border: 2px solid #fcfff4;
    border-top: none;
    border-right: none;
    background: transparent;
    content: '';
    opacity: 0;
    transform: rotate(-45deg);
}

.cdx-checklist__item--checked .cdx-checklist__item-checkbox {
    background: #388ae5;
    border-color: #388ae5;
}

.cdx-checklist__item--checked .cdx-checklist__item-checkbox:hover {
    background: #307cd1;
}

.cdx-checklist__item--checked .cdx-checklist__item-checkbox::after {
    opacity: 1;
}


/* ---------------------------------------------------
                    IMAGE
----------------------------------------------------*/

.cdx-simple-image {}

.cdx-simple-image__picture {}

.cdx-input {}

.cdx-simple-image {}

.cdx-simple-image .cdx-loader {
    min-height: 200px;
}

.cdx-simple-image .cdx-input {
    margin-top: 10px;
}

.cdx-simple-image img {
    max-width: 100%;
    vertical-align: bottom;
}

.cdx-simple-image__picture--with-background {
    background: rgb(239, 242, 245);
    padding: 10px;
}

.cdx-simple-image__picture--with-background img {
    display: block;
    max-width: 60%;
    margin: 0px auto;
}

.cdx-simple-image__picture--with-border {
    border: 1px solid rgb(232, 232, 235);
    padding: 1px;
}

.cdx-simple-image__picture--stretched img {
    max-width: none;
    width: 100%;
}

/* ---------------------------------------------------
                    LIST
----------------------------------------------------*/

.cdx-list {
    margin: 0px;
    padding-left: 40px;
    outline: none;
}

.cdx-list__item {
    padding: 5.5px 0px 5.5px 3px;
    line-height: 1.6em;
}

.cdx-list--unordered {
    list-style: disc;
}

.cdx-list--ordered {
    list-style: decimal;
}
